package com.gic.haoban.manage.service.service.out.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gic.haoban.manage.api.dto.SecretSettingDTO;
import com.gic.haoban.manage.api.service.out.SecretSettingApiService;
import com.gic.haoban.manage.service.service.SecretSettingService;

/**
 * @author mozhu
 * @date 2022/1/10 09:45
 */
@Service
public class SecretSettingApiServiceImpl implements SecretSettingApiService {
    @Autowired
    private SecretSettingService secretSettingService;

    @Override
    public SecretSettingDTO getSecretSetting(String wxEnterpriseId, int secretType) {
        return secretSettingService.getSecretSetting(wxEnterpriseId, secretType);
    }

    @Override
    public void saveOrUpdateSecretSetting(SecretSettingDTO secretSetting) {
        secretSettingService.saveSecretSetting(secretSetting);
    }

    @Override
    public List<SecretSettingDTO> exsitGicEidMemberApp(String wxEnterpriseId) {
        return this.secretSettingService.exsitGicEidMemberApp(wxEnterpriseId);
    }
}
